seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2019/10/22, 00:45:07


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Flash Plugin  (Read 2663 times)

0 Members and 1 Guest are viewing this topic.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.367
Flash Plugin
« on: 2012/02/17, 11:32:06 »
Whoever usesflashplugin-nonfreeshould update it subito by running:  
Code: [Select]
update-flashplugin-nonfree -iv
Check afterwards on http://www.adobe.com/software/flash/about/
Version 11.1.102.55 is compromised.Fixed Version is 11.1.102.62

greetz
devil

Offline clubex

  • User
  • Posts: 265
RE: Flash Plugin
« Reply #1 on: 2012/02/17, 14:41:29 »
Whenever I try to update using update-flashplugin-nonfree -iv it merely downloads/re-installs 11.1.102.55 and not 11.1.102.62.


Any ideas why?

Is 11.1.102.62 in the sid repo or is it in experimental?


[/code]

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.367
RE: Flash Plugin
« Reply #2 on: 2012/02/17, 14:51:45 »
clubex,

you are not alone, please keep trying.

greetz
devil

Offline michaa7

  • User
  • Posts: 2.126
RE: Flash Plugin
« Reply #3 on: 2012/02/17, 16:47:41 »
You could manually install it from here:

http://get.adobe.com/de/flashplayer/

Just extract libflashplayer.so from the *.tar and copy it to /usr/lib/flashplugin-nonfree/


The updater (flashplugin-nonfree) downloads from macromedia (not Adobe) and it seems the newest version still has not reached this location.
Ok, you can't code, but you still might be able to write a bug report for Debian's sake

Offline braveheartleo

  • User
  • Posts: 23
RE: Flash Plugin
« Reply #4 on: 2012/02/23, 01:20:30 »
To give more clarity on the update-flashplugin-nonfree function, one can inspect the script:
Code: [Select]
$ less /usr/sbin/update-flashplugin-nonfree Upon inspection, the script downloads one of two PGP signed messages
Code: [Select]
http://people.debian.org/~bartm/flashplugin-nonfree/fp10.sha512.i386.pgp.asc
http://people.debian.org/~bartm/flashplugin-nonfree/fp10.sha512.amd64.pgp.asc
depending upon the CPU architecture.

The script then verifies the validity of the PGP message. It also compares the checksums of the downloaded archive and the files within the archive from the checksums contained within the message.

As can be seen from one of the links, the URL from which to download the particular Flash version is included in the signed message.

So it falls upon the maintainer of the PGP message to update it so that it points to the latest Flash release from Adobe.

One therefore cannot expect update-flashplugin-nonfree to immediately download the latest Adobe Flash upon its release because of these mechanisms in place. Of course no one is prevented from circumventing this and downloading directly the latest version from upstream.

I hope this helps clarify the situation. The information presented herein is relevant as of flashplugin-nonfree_1:2.8.3.

( p.s. Adobe will no longer add new features after Flash 11.2 release for Linux, and will instead continue to maintain this version for five years. More info here )

Offline mylo

  • User
  • Posts: 921
Flash Plugin
« Reply #5 on: 2012/02/23, 20:54:23 »
Code: [Select]
update-flashplugin-nonfree -iv
options :  -i -v --
temporary directory: /tmp/flashplugin-nonfree.S2kvTWs1RA
selected action = --install
wgetoptions= -nd -P .   -v --progress=dot:default
downloading http://people.debian.org/~bartm/flashplugin-nonfree/fp10.sha512.amd64.pgp.asc ...
--2012-02-23 20:49:16--  http://people.debian.org/~bartm/flashplugin-nonfree/fp10.sha512.amd64.pgp.asc
Auflösen des Hostnamen »people.debian.org (people.debian.org)«... 206.12.19.5, 2607:f8f0:610:4000:214:38ff:feee:b65a
Verbindungsaufbau zu people.debian.org (people.debian.org)|206.12.19.5|:80... verbunden.
HTTP-Anforderung gesendet, warte auf Antwort... 200 OK
Länge: 1272 (1,2K) [text/plain]
In »»./fp10.sha512.amd64.pgp.asc«« speichern.

     0K .                                                     100%  187M=0s

2012-02-23 20:49:16 (187 MB/s) - »»./fp10.sha512.amd64.pgp.asc«« gespeichert [1272/1272]

importing public key ...
verifying PGP fp10.sha512.amd64.pgp.asc ...
wgetoptions= -nd -P .   -v --progress=dot:default
--2012-02-23 20:49:16--  http://fpdownload.macromedia.com/get/flashplayer/pdc/11.1.102.62/install_flash_player_11_linux.x86_64.tar.gz
Auflösen des Hostnamen »fpdownload.macromedia.com (fpdownload.macromedia.com)«... 95.100.50.70
Verbindungsaufbau zu fpdownload.macromedia.com (fpdownload.macromedia.com)|95.100.50.70|:80... verbunden.
HTTP-Anforderung gesendet, warte auf Antwort... 200 OK
Länge: 7042811 (6,7M) [application/x-gzip]
In »»./install_flash_player_11_linux.x86_64.tar.gz«« speichern.

     0K .......... .......... .......... .......... ..........  0%  608K 11s
    50K .......... .......... .......... .......... ..........  1% 1,17M 8s
   100K .......... .......... .......... .......... ..........  2% 1,19M 7s
   150K .......... .......... .......... .......... ..........  2% 1,15M 7s

   {xxxx snip snip snip snip xxxx}

  6800K .......... .......... .......... .......... .......... 99% 1,15M 0s
  6850K .......... .......... .......                         100% 1,22M=6,1s

2012-02-23 20:49:22 (1,10 MB/s) - »»./install_flash_player_11_linux.x86_64.tar.gz«« gespeichert [7042811/7042811]

verifying checksum install_flash_player_11_linux.x86_64.tar.gz ...
unpacking install_flash_player_11_linux.x86_64.tar.gz ...
verifying checksum contents of install_flash_player_11_linux.x86_64.tar.gz ...
moving libflashplayer.so to /usr/lib/flashplugin-nonfree ...
setting permissions and ownership of /usr/lib/flashplugin-nonfree/libflashplayer.so ...
Flash Player version: LNX 11,1,102,62
moving install_flash_player_11_linux.x86_64.tar.gz to /var/cache/flashplugin-nonfree ...
flash-mozilla.so - Auto-Modus
  Link verweist zur Zeit auf /usr/lib/flashplugin-nonfree/libflashplayer.so
/usr/lib/flashplugin-nonfree/libflashplayer.so - Priorität 50
/usr/lib/gnash/libgnashplugin.so - Priorität 10
Gegenwärtig »beste« Version ist »/usr/lib/flashplugin-nonfree/libflashplayer.so«.
calling update-alternatives ...
flash-mozilla.so - Auto-Modus
  Link verweist zur Zeit auf /usr/lib/flashplugin-nonfree/libflashplayer.so
/usr/lib/flashplugin-nonfree/libflashplayer.so - Priorität 50
/usr/lib/gnash/libgnashplugin.so - Priorität 10
Gegenwärtig »beste« Version ist »/usr/lib/flashplugin-nonfree/libflashplayer.so«.
end of action --install
cleaning up temporary directory /tmp/flashplugin-nonfree.S2kvTWs1RA ...
end of update-flashplugin-nonfree


seems running fine.


Code: [Select]
pol flashplugin-nonfree
flashplugin-nonfree:
  Installiert: 1:2.8.3
  Kandidat:    1:2.8.3


However, have no clue, how to verify verify version .62?
Regards mylo
____________________________________________ ____
"Die gefährlichste aller Weltanschauungen ist die Weltanschauung der Leute,
welche die Welt nicht angeschaut haben."               Alexander von Humboldt

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.367
Flash Plugin
« Reply #6 on: 2012/02/23, 21:02:34 »
http://www.adobe.com/software/flash/about/  und schaun, was bel linux als Version steht.

greetz
devil

Offline michaa7

  • User
  • Posts: 2.126
Flash Plugin
« Reply #7 on: 2012/02/23, 21:08:44 »
Quote from: "mylo"
However, have no clue, how to verify verify version .62?


when runing a flash video rightclick into it.
Ok, you can't code, but you still might be able to write a bug report for Debian's sake

Offline mylo

  • User
  • Posts: 921
Flash Plugin
« Reply #8 on: 2012/02/24, 22:56:24 »
Thanks, devil & michaa7,

now finally I too have understood, how to verify that. Aääänd the winner is:

Code: [Select]
11.1.102.62
Regards mylo
____________________________________________ ____
"Die gefährlichste aller Weltanschauungen ist die Weltanschauung der Leute,
welche die Welt nicht angeschaut haben."               Alexander von Humboldt